Quattro9GraphInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Quattro9GraphInternal::State Struct Reference

the state of Quattro9Graph More...

## Public Member Functions
| State ()
| constructor
void | storeGraph (std::shared_ptr< Graph > graph)
| store a graph
bool | getColor (int id, WPSColor &color) const
| returns the color corresponding to an id
bool | getPattern32 (int id, WPSGraphicStyle::Pattern &pattern)
| returns the pattern corresponding to a pattern id between 0 and 32

## Static Public Member Functions
static bool | getPattern24 (int id, WPSGraphicStyle::Pattern &pattern)
| returns the pattern corresponding to a pattern id between 0 and 24

## Public Attributes
int | m_version
| the file version
int | m_actualSheet
| the actual sheet id
int | m_zoneDepth
| current zone begin/end depth
std::shared_ptr< Graph > | m_actualGraph
| the actual graph
int | m_actualGraphDepth
| the depth which correspond to the creation of the graph
std::vector< WPSColor > | m_colorsList
| the color list
std::vector< WPSGraphicStyle::Pattern > | m_patterns32List
| the pattern 32 list
std::multimap< int, std::shared_ptr< Graph > > | m_sheetIdToGraphMap
| a multimap sheetId to graph
std::map< librevenge::RVNGString, WPSEmbeddedObject > | m_linkNameToObjectMap
| a map link name to object

## Detailed Description

the state of Quattro9Graph

## Constructor & Destructor Documentation

## ◆ State()

Quattro9GraphInternal::State::State | ( |  | ) |
| inline

constructor

Referenced by getColor().

## Member Function Documentation

## ◆ getColor()

bool Quattro9GraphInternal::State::getColor | ( | int | id,
|  | WPSColor & | color ) const

returns the color corresponding to an id

## ◆ getPattern24()

bool Quattro9GraphInternal::State::getPattern24 | ( | int | id,
|  | WPSGraphicStyle::Pattern & | pattern )
| static

returns the pattern corresponding to a pattern id between 0 and 24

## ◆ getPattern32()

bool Quattro9GraphInternal::State::getPattern32 | ( | int | id,
|  | WPSGraphicStyle::Pattern & | pattern )

returns the pattern corresponding to a pattern id between 0 and 32

## ◆ storeGraph()

void Quattro9GraphInternal::State::storeGraph | ( | std::shared_ptr< Graph > | graph | ) |
| inline

store a graph

## Member Data Documentation

## ◆ m_actualGraph

std::shared_ptr<Graph> Quattro9GraphInternal::State::m_actualGraph

the actual graph

Referenced by State(), and storeGraph().

## ◆ m_actualGraphDepth

int Quattro9GraphInternal::State::m_actualGraphDepth

the depth which correspond to the creation of the graph

Referenced by State(), and storeGraph().

## ◆ m_actualSheet

int Quattro9GraphInternal::State::m_actualSheet

the actual sheet id

Referenced by State(), and storeGraph().

## ◆ m_colorsList

std::vector<WPSColor> Quattro9GraphInternal::State::m_colorsList

the color list

Referenced by getColor(), and State().

## ◆ m_linkNameToObjectMap

std::map<librevenge::RVNGString,WPSEmbeddedObject> Quattro9GraphInternal::State::m_linkNameToObjectMap

a map link name to object

Referenced by State().

## ◆ m_patterns32List

std::vector<WPSGraphicStyle::Pattern> Quattro9GraphInternal::State::m_patterns32List

the pattern 32 list

Referenced by getPattern32(), and State().

## ◆ m_sheetIdToGraphMap

std::multimap<int, std::shared_ptr<Graph> > Quattro9GraphInternal::State::m_sheetIdToGraphMap

a multimap sheetId to graph

Referenced by State(), and storeGraph().

## ◆ m_version

int Quattro9GraphInternal::State::m_version

the file version

Referenced by State().

## ◆ m_zoneDepth

int Quattro9GraphInternal::State::m_zoneDepth

current zone begin/end depth

Referenced by State(), and storeGraph().

The documentation for this struct was generated from the following file:

- Quattro9Graph.cpp